Event data
Get an event's custom properties
GET
/api/websites/{websiteId}/event-data/{eventId}Returns the custom property records, data types, and values attached to a specific event.
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Authentication credentials, e.g. Bearer <token>. |
Path parameters
| Name | Type | Description |
|---|---|---|
| websiteIdrequired | string | ID of the website. |
| eventIdrequired | string | ID of the event. |
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| createdAtrequired | string | Date and time the record was created. |
| dataKeyrequired | string | Name of the custom property. |
| dataTyperequired | number | Data type of the custom property. |
| dateValuerequired | string | Custom property value stored as a date-time. |
| idrequired | string | Unique identifier of the resource. |
| numberValuerequired | object | Custom property value stored as a number. |
| stringValuerequired | string | Custom property value stored as a string. |
| websiteEventIdrequired | string | ID of the website event. |
| websiteIdrequired | string | ID of the website. |
200 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
Code samples
cURL